import request from '@/utils/request'

// 获取首页banner
export function banner (query) {
  return request({
    url: '/api/v1/banner',
    method: 'get',
    params: query
  })
}

// 获取组件服务列表数据
export function assemblyList (query) {
  return request({
    url: '/api/v1/assemblyList',
    method: 'get',
    params: query
  })
}


// 获取活动资讯列表数据
export function informationList (query) {
  return request({
    url: '/api/v1/information',
    method: 'get',
    params: query
  })
}


// 获取活动资讯详情
export function informationDetail (query) {
  return request({
    url: '/api/v1/informationDetail',
    method: 'get',
    params: query
  })
}

// 获取合作伙伴列表
export function partnerList (query) {
  return request({
    url: '/api/v1/partnerList',
    method: 'get',
    params: query
  })
}
